Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163727 - device-mapper: Event required on device removal.
Summary: device-mapper: Event required on device removal.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 17:54 UTC by Linda Wang
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: U2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-08 16:45:40 UTC


Attachments (Terms of Use)

Description Linda Wang 2005-07-20 17:54:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050422 Red Hat/1.7.7-1.4.2

Description of problem:
If anything is waiting on a device's table when the device is 
removed, we must first wake it up so it releases its reference.
Otherwise the table's reference count will not drop to zero
and the table will not get removed.
 
Problem found during dm multipath testing at EMC last week -
Ed Goggin supplied the patch.

Version-Release number of selected component (if applicable):
RHEL4

How reproducible:
Sometimes

Steps to Reproduce:
1. Problem was found during dm multipath testing at EMC last week 
2.
3.
  

Additional info:

Comment 1 Alasdair Kergon 2005-07-20 18:31:52 UTC
patch submitted for U2


Note You need to log in before you can comment on or make changes to this bug.